Loading...
Searching...
No Matches
janus_av1_svc_template Struct Reference

Helper struct to track SVC templates. More...

`#include <rtp.h>`

## Data Fields

uint8_t | id
| Template ID.
int | spatial
| Spatial layer associated to this template.
int | temporal
| Temporal layer associated to this template.

## Detailed Description

Helper struct to track SVC templates.

Note
  This is very incomplete, since we only track the spatial and temporal layer associated with a specific template ID for now

## Field Documentation

## id

uint8_t janus_av1_svc_template::id

Template ID.

## spatial

int janus_av1_svc_template::spatial

Spatial layer associated to this template.

## temporal

int janus_av1_svc_template::temporal

Temporal layer associated to this template.

The documentation for this struct was generated from the following file:

- rtp.h